Subject: Re: Thanks for the Darwin Day listing!

From: "Victor Bien" <[email-masked]>
Date: Tue, 18 Oct 2005 22:24:41 +1000 (EST)

On Tue, 18 Oct 2005 01:24:01 +0000, Info Person wrote:

>Hi Victor!
>We just saw your new listing for a Darwin Day celebration.  We took the 
>liberty of changing the name of the British organization to the "Royal 
>Society", which is the proper organization where the "stoush" took 

  Umm I am sure that is not correct.  I have always remembered that the conflict occurred at a British Association for the Advancement of Science meeting.  See this reference I got via Google:
     http://users.ox.ac.uk/~jrlucas/precis.html

>place.  That word was a new one to us.  It's wonderful what one can 
>learn on the Internet!

  Glad you like the word!  I first came across from trade union people when I was a workplace representative during my years in the NSW public service.  Arguments with management were often described as "stoushes"!   :-)

>
>It's good to see you and the Humanist Society are preparing a Darwin Day 
>event again this year.  We wish you success.

  Yes now that the concept has captured our imagination it's become fun doing it!

>
>   - Bob Stephens and David Harris
>     DarwinDay.org

Victor Bien